;
; pic16c54.i
;
; definitions for PIC16C54 registers
;

        if ~defined(__16C54)
          error "this include file is for PIC16C54"
        endif

; Page 0 
IND0    equ	00h
TMR0	equ	01h
PCL     equ	02h
STATUS  equ	03h
FSR     equ	04h     
PORTA   equ	05h
PORTB   equ	06h

;
; STATUS bits
;
TO      equ	04h
PD      equ	03h
Z       equ	02h
DC      equ	01h
C       equ	00h

;
; OPTION bits
;
RBPU	equ	7
INTEDG	equ	6
T0CS	equ	5
T0SE	equ	4
PSA	equ	3
PS2	equ	2
PS1	equ	1
PS0	equ	0

;
; 'direction' flags
;
W	equ	0
F	equ	1


